namespace Pilz.UI.Controls.ConfigurationManager;

public class ConfigurationManager
{
    private readonly List<ConfigurationPanel> panels = [];

    public void Register(ConfigurationPanel panel)
    {
        panels.Add(panel);
    }

    public IEnumerable<Control> Build()
    {
        foreach (var panel in panels)
        {
            panel.Build(this);
            yield return panel;
        }
    }
}
